## manpages 5.02

=== debian/changelog ===
manpages (5.02-1) unstable; urgency=medium

  * New upstream version 5.02
    - getutline(3): missing #include in example program. Closes: #932382
    - Refresh patches
    - Update d/copyright
  * Update Standards-Version to 4.4.0, no changes needed
  * Set myself as maintainer. Thanks to Joey for his work on this package!
  * Switch to debhelper-compat and use v12

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 02 Aug 2019 23:19:35 +0200

manpages (5.01-1) unstable; urgency=medium

  * New upstream version 5.01
    - Fix manpage for rename.2. Closes: #915874
    - Add crypt.3 and crypt_r.3 to list of conflicting manpages
    - Update d/copyright
    - Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 09 Jul 2019 20:20:42 +0200

manpages (4.16-2) unstable; urgency=medium

  * Include removed manpages from attr and keyutils.
    Both projects have moved some of their manpages to the
    Linux man-pages project.
    - attr: getxattr.2, listxattr.2, removexattr.2, setxattr.2,
      and their f*xattr.2 and l*xattr.2 links. Also attr.5.
    - keyutils: keyrings.7, persistent-keyring.7, process-keyring.7,
      session-keyring.7, thread-keyring.7, user-keyring.7,
      user-session-keyring.7.
    (Closes: #825022)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 07 May 2019 20:15:46 +0200

=== debian/control ===
Source: manpages
Section: doc
Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
Priority: standard
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debian/manpages
Vcs-Git: https://salsa.debian.org/debian/manpages.git
Homepage: https://www.kernel.org/doc/man-pages/

Package: manpages
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: man-browser
Replaces: attr (<< 1:2.4.47-3), keyutils (<< 1.6-1)
Breaks: manpages-dev (<< 4.13-3), attr (<< 1:2.4.47-3), keyutils (<< 1.6-1)
Description: Manual pages about using a GNU/Linux system
 This package contains GNU/Linux manual pages for these sections:
  4 = Devices (e.g. hd, sd).
  5 = File formats and protocols, syntaxes of several system
      files (e.g. wtmp, /etc/passwd, nfs).
  7 = Conventions and standards, macro packages, etc.
      (e.g. nroff, ascii).
 .
 Sections 1, 6 and 8 are provided by the respective applications. This
 package only includes the intro man page describing the section.
 .
 The man pages describe syntaxes of several system files.

Package: manpages-dev
Architecture: all
Multi-Arch: foreign
Depends: manpages, ${misc:Depends}
Suggests: man-browser
Replaces: manpages (<< 4.13-3), libbsd-dev (<< 0.8.4-1),
 libattr1-dev (<< 1:2.4.47-3)
Breaks: manpages (<< 4.13-3), libbsd-dev (<< 0.8.4-1),
 libattr1-dev (<< 1:2.4.47-3)
Priority: optional
Description: Manual pages about using GNU/Linux for development
 These man pages describe the Linux programming interface, including
 these two sections:
  2 = Linux system calls.
  3 = Library calls (note that a more comprehensive source of information
      may be found in the glibc-doc and glibc-doc-reference packages).

## manpages 5.04

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
 Priority: standard
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/manpages
 Vcs-Git: https://salsa.debian.org/debian/manpages.git
 Homepage: https://www.kernel.org/doc/man-pages/

## manpages 5.05

=== debian/changelog ===
manpages (5.05-1) unstable; urgency=medium

  * New upstream version 5.05
    - Refresh patches
  * Update d/copyright
  * Update Standards-Version to 4.5.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 09 Feb 2020 21:49:27 +0100

manpages (5.04-1) unstable; urgency=medium

  * New upstream version 5.04
    - Refresh patches
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 21 Nov 2019 10:45:53 +0100

manpages (5.03-1) unstable; urgency=medium

  * New upstream version 5.03
    - Refresh patches
  * Update d/copyright
  * Update Standards-Version to 4.4.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 12 Oct 2019 14:27:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
 Priority: standard
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/manpages
 Vcs-Git: https://salsa.debian.org/debian/manpages.git
 Homepage: https://www.kernel.org/doc/man-pages/

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
override_dh_auto_build:
# Nothing to be done here, we're using a custom installation.

override_dh_installchangelogs:
	dh_installchangelogs Changes

override_dh_installman:
	# Prevent broken symlinks, see https://bugs.debian.org/876047
	sh debian/move_links_to_correct_package
	dh_installman
	# Remove intro.{2,3} manpages from manpages-dev,
	# they are included in manpages
	rm -f debian/manpages-dev/usr/share/man/man2/intro.2
	rm -f debian/manpages-dev/usr/share/man/man3/intro.3
	# Do not install sk98lin.4, see https://bugs.debian.org/780544
	rm -f debian/manpages/usr/share/man/man4/sk98lin.4
	# Start of automatically added files by debian/check-conflicts
	rm -f debian/manpages/usr/share/man/man1/time.1
	rm -f debian/manpages-dev/usr/share/man/man3/crypt.3
	rm -f debian/manpages-dev/usr/share/man/man3/crypt_r.3
	rm -f debian/manpages-dev/usr/share/man/man3/pthread_atfork.3
	rm -f debian/manpages-dev/usr/share/man/man3/pthread_mutexattr_destroy.3
	rm -f debian/manpages-dev/usr/share/man/man3/pthread_mutexattr_init.3
	rm -f debian/manpages/usr/share/man/man4/fd.4
	rm -f debian/manpages/usr/share/man/man5/ftpusers.5
	rm -f debian/manpages/usr/share/man/man5/nscd.conf.5
	rm -f debian/manpages/usr/share/man/man5/passwd.5
	rm -f debian/manpages/usr/share/man/man5/tmpfs.5
	rm -f debian/manpages/usr/share/man/man8/nscd.8
	# End of automatically added files by debian/check-conflicts

# manpages-dev has no docs dir
override_dh_installdocs:
	dh_installdocs
	rm -rf debian/manpages-dev/usr/share/doc/manpages-dev
	ln -s manpages debian/manpages-dev/usr/share/doc/manpages-dev

## manpages 5.08

=== debian/changelog ===
manpages (5.08-1) unstable; urgency=medium

  * New upstream version 5.08
    - Refresh patches
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 22 Aug 2020 17:23:29 +0200

manpages (5.07-1) unstable; urgency=medium

  * New upstream version 5.07
    - Refresh patches
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 11 Jun 2020 16:27:08 +0200

manpages (5.06-1) unstable; urgency=medium

  * New upstream version 5.06
    - Refresh patches
    - Document that timerfd_settime can fail with ECANCELED. Closes: #947091
  * Update d/copyright
  * Disable usage of pristine-tar

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 12 Apr 2020 15:15:19 +0200

## manpages 5.10

=== Makefile ===
DESTDIR=
prefix?=/usr
MANDIR=$(prefix)/share/man

all: remove install

uninstall remove:
	for i in man?/*; do \
		rm -f $(MANDIR)/"$$i" $(MANDIR)/"$$i".*; \
	done

# Use with
#  make HTDIR=/some/dir HTOPTS=whatever html
# The sed removes the lines "Content-type: text/html\n\n"
html:
	@if [ x$(HTDIR) = x ]; then echo "You must set HTDIR."; else \
	for i in man?; do \
		[ -d $(HTDIR)/"$$i" ] || mkdir -p $(HTDIR)/"$$i"; \
		find "$$i/" -type f | while read f; do \
			(cd "$$i"; man2html $(HTOPTS) `basename $$f`) | \
			sed -e '1,2d' > $(HTDIR)/"$$i"/`basename $$f`.html; \
		done; \
	done; fi

install:
	for i in man?; do \
		install -d -m 755 $(DESTDIR)$(MANDIR)/"$$i" || exit $$?; \
		install -m 644 "$$i"/* $(DESTDIR)$(MANDIR)/"$$i" || exit $$?; \
	done

# Check if groff reports warnings (may be words of sentences not displayed)
# from https://lintian.debian.org/tags/groff-message.html
check-groff-warnings:
	GROFF_LOG="$$(mktemp --tmpdir manpages-checksXXXX)" || exit $$?; \
	for i in man?/*.[1-9]; \
	do \
		if grep -q 'SH.*NAME' "$$i"; then \
			LC_ALL=en_US.UTF-8 MANWIDTH=80 man --warnings -E UTF-8 -l "$$i" > /dev/null 2>| "$$GROFF_LOG"; \
			[ -s "$$GROFF_LOG" ] && { echo "$$i: "; cat "$$GROFF_LOG"; echo; }; \
		fi; \
	done; \
	rm -f "$$GROFF_LOG"

# someone might also want to look at /var/catman/cat2 or so ...
# a problem is that the location of cat pages varies a lot

=== debian/changelog ===
manpages (5.10-1ubuntu1) impish; urgency=medium

  * kernel_lockdown.7: Remove description of unsupported lockdown lift
    mechanism via SysRq. LP: #1931171.

 -- dann frazier <dannf@ubuntu.com>  Thu, 10 Jun 2021 13:18:47 -0600

manpages (5.10-1) unstable; urgency=medium

  * New upstream version 5.10
    - Refresh patches
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 22 Dec 2020 14:25:08 +0100

manpages (5.09-2) unstable; urgency=medium

  * Resolve file conflict with manpages-dev=5.08-1.
    Thanks to Adam Borowski <kilobyte@angband.pl> (Closes: #973846)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 06 Nov 2020 10:08:51 +0100

manpages (5.09-1) unstable; urgency=medium

  * New upstream version 5.09
    - Refresh patches
    - Do not include man3/list.3, conflicts with inn2-dev
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 05 Nov 2020 10:48:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: manpages
 Section: doc
-Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
 Priority: standard
 Build-Depends: debhelper-compat (= 12)
 Standards-Version: 4.5.0
@@ -13,8 +14,8 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: man-browser
-Replaces: attr (<< 1:2.4.47-3), keyutils (<< 1.6-1)
-Breaks: manpages-dev (<< 4.13-3), attr (<< 1:2.4.47-3), keyutils (<< 1.6-1)
+Replaces: manpages-dev (<< 5.09-2), attr (<< 1:2.4.47-3), keyutils (<< 1.6-1)
+Breaks: manpages-dev (<< 5.09-2), attr (<< 1:2.4.47-3), keyutils (<< 1.6-1)
 Description: Manual pages about using a GNU/Linux system
  This package contains GNU/Linux manual pages for these sections:
   4 = Devices (e.g. hd, sd).
@@ -33,9 +34,9 @@
 Multi-Arch: foreign
 Depends: manpages, ${misc:Depends}
 Suggests: man-browser
-Replaces: manpages (<< 4.13-3), libbsd-dev (<< 0.8.4-1),
+Replaces: libbsd-dev (<< 0.8.4-1),
  libattr1-dev (<< 1:2.4.47-3)
-Breaks: manpages (<< 4.13-3), libbsd-dev (<< 0.8.4-1),
+Breaks: manpages (<< 5.09-2), libbsd-dev (<< 0.8.4-1),
  libattr1-dev (<< 1:2.4.47-3)
 Priority: optional
 Description: Manual pages about using GNU/Linux for development

## manpages 5.13

=== debian/changelog ===
manpages (5.13-1) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * Add new Debian and upstream branch names to gbp.conf
  * Refresh patches
  * Update d/copyright
  * Add Marcos as comaintainer. Welcome!

  [ Marcos Fouces ]
  * New upstream version 5.13 (Closes: #981171)
  * Refresh patches.
  * d/debian/move_links_to_correct_package:
    ~ Add blkcnt_t.3
    ~ Add blksize_t.3
    ~ Add cc_t.3
    ~ Add mode_t.3
    ~ Add sockaddr.3
    ~ Add socklen_t.3
    ~ Add off64_t.3
  * Set proper installation path.
  * Bump to debhelper-compat 13.
  * Reinstall file.3 as it is no longer conflicts with newer release
    of inn2-dev.
  * Remove upstream signing key. It is used to sign a list of SHA256
    checksums that isn't compatible with uscan.
  * Update d/copyright file.
  * Rename Lintian tag in override file:
    spelling-error-in-manpage => typo-in-manual-page
  * Bump Standards-Version to 4.6.1 (no changes required).
  * Add Rules-Requires-Root:no stanza in d/control.
  * Don't remove tmpfs.5 man page as it no longer conflicts with
    newer initscripts releases. (Closes: #951598).

 -- Marcos Fouces <marcos@debian.org>  Wed, 11 May 2022 23:19:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: manpages
 Section: doc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
+Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
+Uploaders: Marcos Fouces <marcos@debian.org>
 Priority: standard
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/manpages
 Vcs-Git: https://salsa.debian.org/debian/manpages.git
 Homepage: https://www.kernel.org/doc/man-pages/
+Rules-Requires-Root: no
 
 Package: manpages
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: man-browser
-Replaces: manpages-dev (<< 5.09-2), attr (<< 1:2.4.47-3), keyutils (<< 1.6-1)
-Breaks: manpages-dev (<< 5.09-2), attr (<< 1:2.4.47-3), keyutils (<< 1.6-1)
+Replaces: manpages-dev (<< 5.09-2), attr (<< 1:2.4.47-3), keyutils (<< 1.6-1), inn2-dev (<< 2.6.5-1), initscripts (<< 3.0.0-1)
+Breaks: manpages-dev (<< 5.09-2), attr (<< 1:2.4.47-3), keyutils (<< 1.6-1), inn2-dev (<< 2.6.5-1), initscripts (<< 3.0.0-1)
 Description: Manual pages about using a GNU/Linux system
  This package contains GNU/Linux manual pages for these sections:
   4 = Devices (e.g. hd, sd).

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,6 @@
 	rm -f debian/manpages/usr/share/man/man5/ftpusers.5
 	rm -f debian/manpages/usr/share/man/man5/nscd.conf.5
 	rm -f debian/manpages/usr/share/man/man5/passwd.5
-	rm -f debian/manpages/usr/share/man/man5/tmpfs.5
 	rm -f debian/manpages/usr/share/man/man8/nscd.8
 	# End of automatically added files by debian/check-conflicts

## manpages 6.03

=== Makefile ===
########################################################################
# Copyright (C) 2021, 2022  Alejandro Colomar <alx@kernel.org>
# SPDX-License-Identifier:  GPL-2.0  OR  LGPL-2.0
########################################################################
# Conventions:
#
# - Follow "Makefile Conventions" from the "GNU Coding Standards" closely.
#   However, when something could be improved, don't follow those.
# - Uppercase variables, when referring files, refer to files in this repo.
# - Lowercase variables, when referring files, refer to system files.
# - Lowercase variables starting with '_' refer to absolute paths,
#   including $(DESTDIR).
# - Uppercase variables starting with '_' refer to temporary files produced
#   in $builddir.
# - Variables ending with '_' refer to a subdir of their parent dir, which
#   is in a variable of the same name but without the '_'.  The subdir is
#   named after this project: <*/man>.
# - Variables ending in '_rm' refer to files that can be removed (exist).
# - Variables ending in '_rmdir' refer to dirs that can be removed (exist).
# - Targets of the form '%-rm' remove their corresponding file '%'.
# - Targets of the form '%/.-rmdir' remove their corresponding dir '%/'.
# - Targets of the form '%/.' create their corresponding directory '%/'.
# - Every file or directory to be created depends on its parent directory.
#   This avoids race conditions caused by `mkdir -p`.  Only the root
#   directories are created with parents.
# - The 'FORCE' target is used to make phony some variables that can't be
#   .PHONY to avoid some optimizations.
#
########################################################################

SHELL := /usr/bin/env bash -Eeuo pipefail


MAKEFLAGS += --no-builtin-rules
MAKEFLAGS += --no-builtin-variables
MAKEFLAGS += --no-print-directory
MAKEFLAGS += --warn-undefined-variables


srcdir := .


.PHONY: all
all: build
	@:

.PHONY: help
help:
	$(info	Targets:)
	$(info	)
	$(info	all			Alias for "build")
	$(info	)
	$(info	clean			Remove $$(builddir))
	$(info	)
	$(info	build			Alias for "build-html")
	$(info	)
	$(info	build-html		Build HTML manual pages)
	$(info	html			Alias for "build-html")
	$(info	)
	$(info	build-src		Alias for "build-src-ld")
	$(info	build-src-c		Extract C programs from EXAMPLES)
	$(info	build-src-cc		Compile C programs from EXAMPLES)
	$(info	build-src-ld		Link C programs from EXAMPLES)
	$(info	)
	$(info	lint			Wrapper for "lint-c lint-man")
	$(info	lint-c			Wrapper for lint-c-* targets)
	$(info	lint-c-checkpatch	Lint C programs from EXAMPLES with checkpatch(1))
	$(info	lint-c-clang-tidy	Lint C programs from EXAMPLES with clang-tidy(1))
	$(info	lint-c-cpplint		Lint C programs from EXAMPLES with cpplint(1))
	$(info	lint-c-iwyu		Lint C programs from EXAMPLES with iwyu(1))
	$(info	lint-man		Wrapper for lint-man-* targets)
	$(info	lint-man-groff		Lint man pages with groff(1))
	$(info	lint-man-mandoc		Lint man pages with mandoc(1))
	$(info	lint-man-tbl		Lint man pages about '\" t' comment for tbl(1))
	$(info	)
	$(info	[un]install		Alias for "[un]install-man")
	$(info	[un]install-man		Wrapper for [un]install-man* targets)
	$(info	[un]install-man1	[Un]install man pages in section 1)
	$(info	[un]install-man2	[Un]install man pages in section 2)
	$(info	[un]install-man2type	[Un]install man pages in section 2type)
	$(info	[un]install-man3	[Un]install man pages in section 3)
	$(info	[un]install-man3const	[Un]install man pages in section 3const)
	$(info	[un]install-man3head	[Un]install man pages in section 3head)
	$(info	[un]install-man3type	[Un]install man pages in section 3type)
	$(info	[un]install-man4	[Un]install man pages in section 4)
	$(info	[un]install-man5	[Un]install man pages in section 5)
	$(info	[un]install-man6	[Un]install man pages in section 6)
	$(info	[un]install-man7	[Un]install man pages in section 7)
	$(info	[un]install-man8	[Un]install man pages in section 8)
	$(info	)
	$(info	[un]install-html	[Un]install HTML manual pages)
	$(info	)
	$(info	dist			Wrapper for dist-* targets)
	$(info	dist-tar		Create a tarball of the repository)
	$(info	dist-gz			Create a compressed tarball (.tar.gz))
	$(info	dist-xz			Create a compressed tarball (.tar.xz))
	$(info	)
	$(info	help			Print this help)
	$(info	)
	$(info	Variables:)
	$(info	)
	$(info	V			Define to non-empty string for verbose output)


.SECONDEXPANSION:


include $(srcdir)/lib/build.mk
include $(srcdir)/lib/build-html.mk
include $(srcdir)/lib/build-src.mk
include $(srcdir)/lib/dist.mk
include $(srcdir)/lib/install.mk
include $(srcdir)/lib/install-html.mk
include $(srcdir)/lib/install-man.mk
include $(srcdir)/lib/lint.mk
include $(srcdir)/lib/lint-c.mk
include $(srcdir)/lib/lint-man.mk
include $(srcdir)/lib/verbose.mk


FORCE:

=== debian/changelog ===
manpages (6.03-2) unstable; urgency=medium

  * Add Breaks/Replaces for inn2-dev (<< 2.7.0-1).
    Thanks to Helge Kreutzmann <debian@helgefjell.de> (Closes: #1034958)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 30 Apr 2023 12:42:06 +0200

manpages (6.03-1) unstable; urgency=medium

  * New upstream version 6.03
  * Refresh patches.
  * d/rules & d/move_links_to_correct_package: add support for
    link handling in man3head directory.
  * Update d/copyright.

 -- Marcos Fouces <marcos@debian.org>  Wed, 15 Feb 2023 17:45:03 +0100

manpages (6.02-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Remove constraints unnecessary since buster (oldstable):
    + manpages: Drop versioned constraint on attr and keyutils in Replaces.
    + manpages: Drop versioned constraint on attr and keyutils in Breaks.
    + manpages-dev: Drop versioned constraint on libattr1-dev and libbsd-dev in
      Replaces.
    + manpages-dev: Drop versioned constraint on libattr1-dev and libbsd-dev in
      Breaks.

  [ Penn ]
  * Changed man-browser from suggested to recommended

  [ Marcos Fouces ]
  * New upstream version 6.02
  * Refresh patches for new upstream release.
  * d/manpages.doc: remove *.Announce files installation as they no
    longer exist.
  * d/rules & d/move_links_to_correct_package: add support for
    link handling in man3const directory.
  * d/move_links_to_correct_package:
    ~ Add stpecpy.3.
    ~ Add stpecpyx.3
    ~ Add ustpcpy.3
    ~ Add ustr2stp.3
    ~ Add zustr2stp.3
    ~ Add zustr2ustp.3
  * d/manpages(-dev)?.lintian-overrides
    ~ Fix mismatched overrides by fixing line numbering of
      occurrences.
  * d/copyright: update running d/update-copyright.
  * d/README.Debian: all its content is redundant, obsolete
    or inaccurate so it is better to remove it.
  * d/README.Upstream: redirect users to canonical source of information
    on how to contribute to the man-pages project.
  * Bump to Standards-Version 4.6.2 (no changes required).
  * Fix manpages package description in d/control (Closes: #1023218).

 -- Marcos Fouces <marcos@debian.org>  Wed, 28 Dec 2022 18:04:08 +0100

manpages (6.01-1) unstable; urgency=medium

  * New upstream version 6.01
  * man*/*
    ~ Fix groff warning in glob.7.
  * d/POSIX-MANPAGES:
    ~ Update posix manual pages packaging history in
      d/POSIX-MANPAGES (Closes: #1016415).
  *d/patches/*:
    ~  Refresh patches for new upstream release.
  * d/manpages(-dev)?.manpages:
    ~ Rename from install files (*.install => *.manpages).
    ~ Add new non-FHS dirs to manpages-dev.install: man3type,
      man2type, man3head and man3const.
  * d/rules:
    ~ Run dh_installman before testing for broken links.
    ~ Define --language=C option in dh_installman to avoid *.so
      suffix being interpreted as a translation.
    ~ Change destination of links pointing to non-FHS dirs
      i.e. .so man3type/*.3type => .so man3/*.3type.
  * d/move_links_to_correct_package:
    ~ Update list of known files.
    ~ Handle non-FHS directories and manual pages extensions.
  * d/control:
      because FILE.3 is no longer a link to SYSTEM_DATA_TYPES.7
      and is not moved to manpages package.
    ~ Update descriptions to reflect the fact that manpages
      package also includes manual pages from
  * d/LICENSES/*. Add missing licenses used in this package:
    ~ GPL-1+
    ~ BSD-2-clause
    ~ Linux-man-pages-copyleft
  * d/update-copyright:
    ~ Search for "SPDX-License-Identifier: " string instead of
      the previous "%%%LICENSE_START" to check the manual pages
      license.
    ~ Add missing licenses and their upstream names.
    ~ Handle manual pages on non-FHS directories.
  * d/copyright:
    ~ Automatic update running d/update-copyright python script.
    ~ Minor manual tweaks.
  * d/manpages(-dev)?.lintian-overrides
    ~ Fix mismatched overrides by fixing line numbering of
      occurrences.

 -- Marcos Fouces <marcos@debian.org>  Fri, 21 Oct 2022 22:55:41 +0200

=== debian/control ===
Source: manpages
Section: doc
Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
Uploaders: Marcos Fouces <marcos@debian.org>
Priority: standard
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/manpages
Vcs-Git: https://salsa.debian.org/debian/manpages.git
Homepage: https://www.kernel.org/doc/man-pages/
Rules-Requires-Root: no

Package: manpages
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: man-browser
Replaces: manpages-dev (<< 5.09-2), inn2-dev (<< 2.6.5-1), initscripts (<< 3.0.0-1)
Breaks: manpages-dev (<< 5.09-2), inn2-dev (<< 2.6.5-1), initscripts (<< 3.0.0-1)
Description: Manual pages about using a GNU/Linux system
 This package contains GNU/Linux manual pages for these sections:
  4 = Devices (e.g. hd, sd).
  5 = File formats and protocols, syntaxes of several system
      files (e.g. wtmp, /etc/passwd, nfs).
  7 = Conventions and standards, macro packages, etc.
      (e.g. nroff, ascii).
 .
 Beside the intro man page describing the section, a few manual 
 pages from sections 1,6 and 8 are also provided.
 .
 The man pages describe syntaxes of several system files.

Package: manpages-dev
Architecture: all
Multi-Arch: foreign
Depends: manpages, ${misc:Depends}
Suggests: man-browser
Replaces: inn2-dev (<< 2.7.0-1)
Breaks: manpages (<< 6.01-1), inn2-dev (<< 2.7.0-1)
Priority: optional
Description: Manual pages about using GNU/Linux for development
 These man pages describe the Linux programming interface, including
 these two sections:
  2 = Linux system calls.
  3 = Library calls (note that a more comprehensive source of information
      may be found in the glibc-doc and glibc-doc-reference packages).

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,11 @@
 	dh $@
 
 override_dh_auto_configure:
+	# adjust non-standard subsection dir names to FHS:
+	sed -i 's/\.so man3type/\.so man3/g' man3*/*
+	sed -i 's/\.so man3const/\.so man3/g' man3*/*
+	sed -i 's/\.so man3head/\.so man3/g' man3*/*
+
 override_dh_auto_build:
 # Nothing to be done here, we're using a custom installation.
 
@@ -11,9 +16,9 @@
 	dh_installchangelogs Changes
 
 override_dh_installman:
+	dh_installman --language=C
 	# Prevent broken symlinks, see https://bugs.debian.org/876047
 	sh debian/move_links_to_correct_package
-	dh_installman
 	# Remove intro.{2,3} manpages from manpages-dev,
 	# they are included in manpages
 	rm -f debian/manpages-dev/usr/share/man/man2/intro.2

## manpages 6.05.01

=== debian/changelog ===
manpages (6.05.01-1) unstable; urgency=medium

  [ Alejandro Colomar ]
  * New upstream version 6.05.01 (Closes: #1059353)
    - Refresh patches
    - Update dh_auto_test for new upstream make 'check' target
    - Add Build-Depends on groff (>= 1.23.0) and mandoc for new upstream
      make 'lint-man' target
    - Update d/copyright

  [ Dr. Tobias Quathamer ]
  * Reformat d/update-copyright script with python formatter 'black'
    and update for new upstream licenses
  * Add more files to skip due to failing tests

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 23 Dec 2023 16:36:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
 Uploaders: Marcos Fouces <marcos@debian.org>
 Priority: standard
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13), groff (>= 1.23.0), mandoc
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/manpages
 Vcs-Git: https://salsa.debian.org/debian/manpages.git

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,72 @@
 
 override_dh_auto_build:
 # Nothing to be done here, we're using a custom installation.
+
+override_dh_auto_test:
+	make -kj4 lint-man >/dev/null 2>&1 || :
+	touch .tmp/man/man2/splice.2.lint-man.mandoc.touch
+	touch .tmp/man/man7/bpf-helpers.7.lint-man.mandoc.touch
+	touch .tmp/man/man7/uri.7.lint-man.mandoc.touch
+	touch .tmp/man/man8/zic.8.lint-man.mandoc.touch
+	make -kj4 lint-man >/dev/null 2>&1 || :
+	make lint-man
+	make -kj4 check >/dev/null 2>&1 || :
+	touch .tmp/man/man1/iconv.1.cat.set
+	touch .tmp/man/man1/memusage.1.check-catman.touch
+	touch .tmp/man/man2/fanotify_init.2.cat.set
+	touch .tmp/man/man2/gettimeofday.2.cat.set
+	touch .tmp/man/man2/s390_sthyi.2.cat.set
+	touch .tmp/man/man3/clearenv.3.cat.set
+	touch .tmp/man/man3/isalpha.3.cat.set
+	touch .tmp/man/man3/mallopt.3.check-catman.touch
+	touch .tmp/man/man3/mbstowcs.3.cat.set
+	touch .tmp/man/man3/newlocale.3.cat.set
+	touch .tmp/man/man3/strcpy.3.cat.set
+	touch .tmp/man/man3/strfmon.3.cat.set
+	touch .tmp/man/man3/strncat.3.cat.set
+	touch .tmp/man/man3/unlocked_stdio.3.cat.set
+	touch .tmp/man/man4/console_codes.4.cat.set
+	touch .tmp/man/man4/lirc.4.cat.set
+	touch .tmp/man/man4/smartpqi.4.check-catman.touch
+	touch .tmp/man/man4/veth.4.check-catman.touch
+	touch .tmp/man/man5/proc.5.cat.set
+	touch .tmp/man/man5/slabinfo.5.check-catman.touch
+	touch .tmp/man/man5/tzfile.5.cat.set
+	touch .tmp/man/man7/address_families.7.cat.set
+	touch .tmp/man/man7/armscii-8.7.cat.set
+	touch .tmp/man/man7/ascii.7.cat.set
+	touch .tmp/man/man7/bpf-helpers.7.cat.set
+	touch .tmp/man/man7/charsets.7.cat.set
+	touch .tmp/man/man7/cp1251.7.cat.set
+	touch .tmp/man/man7/cp1252.7.cat.set
+	touch .tmp/man/man7/glob.7.cat.set
+	touch .tmp/man/man7/iso_8859-1.7.cat.set
+	touch .tmp/man/man7/iso_8859-10.7.cat.set
+	touch .tmp/man/man7/iso_8859-11.7.cat.set
+	touch .tmp/man/man7/iso_8859-13.7.cat.set
+	touch .tmp/man/man7/iso_8859-14.7.cat.set
+	touch .tmp/man/man7/iso_8859-15.7.cat.set
+	touch .tmp/man/man7/iso_8859-16.7.cat.set
+	touch .tmp/man/man7/iso_8859-2.7.cat.set
+	touch .tmp/man/man7/iso_8859-3.7.cat.set
+	touch .tmp/man/man7/iso_8859-4.7.cat.set
+	touch .tmp/man/man7/iso_8859-5.7.cat.set
+	touch .tmp/man/man7/iso_8859-6.7.cat.set
+	touch .tmp/man/man7/iso_8859-7.7.cat.set
+	touch .tmp/man/man7/iso_8859-8.7.cat.set
+	touch .tmp/man/man7/iso_8859-9.7.cat.set
+	touch .tmp/man/man7/keyrings.7.check-catman.touch
+	touch .tmp/man/man7/koi8-r.7.cat.set
+	touch .tmp/man/man7/koi8-u.7.cat.set
+	touch .tmp/man/man7/regex.7.cat.set
+	touch .tmp/man/man7/string_copying.7.cat.set
+	touch .tmp/man/man7/units.7.cat.set
+	touch .tmp/man/man7/uri.7.check-catman.touch
+	touch .tmp/man/man8/tzselect.8.cat.set
+	touch .tmp/man/man8/zdump.8.cat.set
+	touch .tmp/man/man8/zic.8.cat.set
+	make -kj4 check >/dev/null 2>&1 || :
+	make check
 
 override_dh_installchangelogs:
 	dh_installchangelogs Changes

## manpages 6.7

=== debian/changelog ===
manpages (6.7-2) unstable; urgency=medium

  [ Marcos Fouces ]
  * Add breaks/replace in manpage-dev (Thanks to Andreas Beckman).

  [ Sven Joachim ]
  * d/check-conflicts: avoid large temporary file
  * d/check-conflicts: also check for manpages in arch:all packages
  * Update d/rules with check-conflicts script (Closes: #1068166)

 -- Marcos Fouces <marcos@debian.org>  Tue, 02 Apr 2024 18:20:34 +0200

manpages (6.7-1) unstable; urgency=medium

  * New upstream version 6.7
  * Remove exceptions in d/rules.
  * Refresh patches.
  * Add workaround for proc_config.gz.5 installation as
    dh_installman believes that is a compressed file.
  * Add to d/move_links_to_correct_package:
    ~ man7/sigevent.7
  * Fix links also in section 7 manpages.
  * Add missing GPL-3 license.
  * Update d/copyright.
  * Remove unused Lintian overrides.
  * Add cpplint,cppcheck and lzip to Build-Depends (needed for tests).
  * Export needed locale in d/rules (LC_ALL=C.UTF-8).

 -- Marcos Fouces <marcos@debian.org>  Sun, 31 Mar 2024 22:57:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
 Uploaders: Marcos Fouces <marcos@debian.org>
 Priority: standard
-Build-Depends: debhelper-compat (= 13), groff (>= 1.23.0), mandoc
+Build-Depends: debhelper-compat (= 13), groff (>= 1.23.0), groff-base, bsdextrautils, bzip2, binutils, clang, clang-tidy, cpp, cppcheck, cpplint, diffoscope, git, iwyu, lzip, man, mandoc, moreutils, pkgconf, xz-utils
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/manpages
 Vcs-Git: https://salsa.debian.org/debian/manpages.git
@@ -25,7 +25,7 @@
   7 = Conventions and standards, macro packages, etc.
       (e.g. nroff, ascii).
  .
- Beside the intro man page describing the section, a few manual 
+ Beside the intro man page describing the section, a few manual
  pages from sections 1,6 and 8 are also provided.
  .
  The man pages describe syntaxes of several system files.
@@ -35,8 +35,8 @@
 Multi-Arch: foreign
 Depends: manpages, ${misc:Depends}
 Suggests: man-browser
-Replaces: inn2-dev (<< 2.7.0-1)
-Breaks: manpages (<< 6.01-1), inn2-dev (<< 2.7.0-1)
+Replaces: inn2-dev (<< 2.7.0-1), manpages (<< 6.7-1)
+Breaks: manpages (<< 6.7-1), inn2-dev (<< 2.7.0-1)
 Priority: optional
 Description: Manual pages about using GNU/Linux for development
  These man pages describe the Linux programming interface, including

=== debian/rules ===
#! /usr/bin/make -f
export LC_ALL=C.UTF-8
%:
	dh $@

override_dh_auto_configure:
	# adjust non-standard subsection dir names to FHS:
	sed -i 's/\.so man3type/\.so man3/g' man[3,7]*/*
	sed -i 's/\.so man3const/\.so man3/g' man3*/*
	sed -i 's/\.so man3head/\.so man3/g' man3*/*

override_dh_auto_build:
# Nothing to be done here, we're using a custom installation.

override_dh_installchangelogs:
	dh_installchangelogs Changes

override_dh_installman:
	mv debian/tmp/usr/share/man/man5/proc_config.gz.5 debian/tmp/usr/share/man/man5/proc_config_gz.5
	dh_installman --language=C
	mv debian/manpages/usr/share/man/man5/proc_config_gz.5 debian/manpages/usr/share/man/man5/proc_config.gz.5
	# Prevent broken symlinks, see https://bugs.debian.org/876047
	sh debian/move_links_to_correct_package
	# Remove intro.{2,3} manpages from manpages-dev,
	# they are included in manpages
	rm -f debian/manpages-dev/usr/share/man/man2/intro.2
	rm -f debian/manpages-dev/usr/share/man/man3/intro.3
	# Do not install sk98lin.4, see https://bugs.debian.org/780544
	rm -f debian/manpages/usr/share/man/man4/sk98lin.4
	# Start of automatically added files by debian/check-conflicts
	rm -f debian/manpages/usr/share/man/man1/time.1
	rm -f debian/manpages-dev/usr/share/man/man3/crypt.3
	rm -f debian/manpages-dev/usr/share/man/man3/crypt_r.3
	rm -f debian/manpages-dev/usr/share/man/man3/pthread_atfork.3
	rm -f debian/manpages-dev/usr/share/man/man3/pthread_cond_init.3
	rm -f debian/manpages-dev/usr/share/man/man3/pthread_condattr_init.3
	rm -f debian/manpages-dev/usr/share/man/man3/pthread_key_create.3
	rm -f debian/manpages-dev/usr/share/man/man3/pthread_mutex_init.3
	rm -f debian/manpages-dev/usr/share/man/man3/pthread_mutexattr_destroy.3
	rm -f debian/manpages-dev/usr/share/man/man3/pthread_mutexattr_init.3
	rm -f debian/manpages-dev/usr/share/man/man3/pthread_mutexattr_setkind_np.3
	rm -f debian/manpages-dev/usr/share/man/man3/pthread_once.3
	rm -f debian/manpages/usr/share/man/man4/fd.4
	rm -f debian/manpages/usr/share/man/man5/ftpusers.5
	rm -f debian/manpages/usr/share/man/man5/nscd.conf.5
	rm -f debian/manpages/usr/share/man/man5/passwd.5
	rm -f debian/manpages/usr/share/man/man8/nscd.8
	# End of automatically added files by debian/check-conflicts

# manpages-dev has no docs dir
override_dh_installdocs:
	dh_installdocs
	rm -rf debian/manpages-dev/usr/share/doc/manpages-dev
	ln -s manpages debian/manpages-dev/usr/share/doc/manpages-dev

## manpages 6.8

=== debian/changelog ===
manpages (6.8-2) unstable; urgency=medium

  * Remove packages from Build-Depends to allow migration to testing.
    There's no clear explanation in d/changelog or the commit
    messages as to why all those packages should be needed.
    However, it hinders testing migration (currently due to the
    dependency on iwyu).
  * Use wrap-and-sort -at
  * Add missing Breaks and Replaces glibc-doc (<< 2.37-16) for manpages-dev.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #1072158)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 07 Jun 2024 23:16:21 +0200

manpages (6.8-1) unstable; urgency=medium

  * New upstream version 6.8.
  * Refresh patches.
  * Move new manpage links to correct package.
  * Adjust path in d/update_copyright
  * Update copyright file.
  * d/rules: update conflicting manpages list to remove.
  * Use a more robust approach to limit manpages installation to
    FHS-compliant directories (Thanks to upstream author: Alx)
  * Bump to Standards-Version 4.7.0 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Wed, 22 May 2024 22:16:44 +0200

## manpages 6.9.1

=== debian/changelog ===
manpages (6.9.1-1) unstable; urgency=medium

  * New upstream version 6.9.1
    - Refresh patches
  * Update d/copyright
  * Update d/move_links_to_correct_package
  * Clean up list of known files
  * motd.5: Add missing full stop in Debian patch.
  * tzfile.5: Add missing manpage section to timezone(3).
  * Update patch to include man2constdir
  * Update lintian overrides for manpages and manpages-dev

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 18 Nov 2024 11:17:43 +0100

=== debian/control ===
Source: manpages
Section: doc
Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
Uploaders: Marcos Fouces <marcos@debian.org>,
Priority: standard
Build-Depends: debhelper-compat (= 13),
               groff (>= 1.23.0),
               mandoc,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/manpages
Vcs-Git: https://salsa.debian.org/debian/manpages.git
Homepage: https://www.kernel.org/doc/man-pages/
Rules-Requires-Root: no

Package: manpages
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Suggests: man-browser,
Replaces: initscripts (<< 3.0.0-1),
          inn2-dev (<< 2.6.5-1),
          manpages-dev (<< 5.09-2),
Breaks: initscripts (<< 3.0.0-1),
        inn2-dev (<< 2.6.5-1),
        manpages-dev (<< 5.09-2),
Description: Manual pages about using a GNU/Linux system
 This package contains GNU/Linux manual pages for these sections:
  4 = Devices (e.g. hd, sd).
  5 = File formats and protocols, syntaxes of several system
      files (e.g. wtmp, /etc/passwd, nfs).
  7 = Conventions and standards, macro packages, etc.
      (e.g. nroff, ascii).
 .
 Beside the intro man page describing the section, a few manual
 pages from sections 1,6 and 8 are also provided.
 .
 The man pages describe syntaxes of several system files.

Package: manpages-dev
Architecture: all
Multi-Arch: foreign
Depends: manpages,
         ${misc:Depends},
Suggests: man-browser,
Replaces: glibc-doc (<< 2.37-16),
          inn2-dev (<< 2.7.0-1),
          manpages (<< 6.7-1),
Breaks: glibc-doc (<< 2.37-16),
        inn2-dev (<< 2.7.0-1),
        manpages (<< 6.7-1),
Priority: optional
Description: Manual pages about using GNU/Linux for development
 These man pages describe the Linux programming interface, including
 these two sections:
  2 = Linux system calls.
  3 = Library calls (note that a more comprehensive source of information
      may be found in the glibc-doc and glibc-doc-reference packages).

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,9 @@
 
 override_dh_auto_configure:
 	# adjust non-standard subsection dir names to FHS:
-	sed -i 's/\.so man3type/\.so man3/g' man[3,7]*/*
-	sed -i 's/\.so man3const/\.so man3/g' man3*/*
-	sed -i 's/\.so man3head/\.so man3/g' man3*/*
+	#sed -i 's/\.so man3type/\.so man3/g' man[3,7]*/*
+	#sed -i 's/\.so man3const/\.so man3/g' man3*/*
+	#sed -i 's/\.so man3head/\.so man3/g' man3*/*
 
 override_dh_auto_build:
 # Nothing to be done here, we're using a custom installation.
@@ -31,15 +31,6 @@
 	rm -f debian/manpages/usr/share/man/man1/time.1
 	rm -f debian/manpages-dev/usr/share/man/man3/crypt.3
 	rm -f debian/manpages-dev/usr/share/man/man3/crypt_r.3
-	rm -f debian/manpages-dev/usr/share/man/man3/pthread_atfork.3
-	rm -f debian/manpages-dev/usr/share/man/man3/pthread_cond_init.3
-	rm -f debian/manpages-dev/usr/share/man/man3/pthread_condattr_init.3
-	rm -f debian/manpages-dev/usr/share/man/man3/pthread_key_create.3
-	rm -f debian/manpages-dev/usr/share/man/man3/pthread_mutex_init.3
-	rm -f debian/manpages-dev/usr/share/man/man3/pthread_mutexattr_destroy.3
-	rm -f debian/manpages-dev/usr/share/man/man3/pthread_mutexattr_init.3
-	rm -f debian/manpages-dev/usr/share/man/man3/pthread_mutexattr_setkind_np.3
-	rm -f debian/manpages-dev/usr/share/man/man3/pthread_once.3
 	rm -f debian/manpages/usr/share/man/man4/fd.4
 	rm -f debian/manpages/usr/share/man/man5/ftpusers.5
 	rm -f debian/manpages/usr/share/man/man5/nscd.conf.5

## manpages 6.15

=== debian/changelog ===
manpages (6.15-1) unstable; urgency=medium

  * New upstream version 6.15 (Closes: #1098520)
    - Refresh patches
    - Exclude usr/bin files from being installed in the binary package
    - Include man2 and man3 directories with appendices
  * Update debian/watch to v5
  * Use MAKEFLAGS += -R
  * Disable autotest for now
  * Reformat shell scripts with shfmt and use shellcheck
  * Update scripts to handle new upstream directory layout
  * Update Standards-Version to 4.7.2, no changes needed
  * Remove Rules-Requires-Root from d/control
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 04 Oct 2025 00:03:54 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
 Build-Depends: debhelper-compat (= 13),
                groff (>= 1.23.0),
                mandoc,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/manpages
 Vcs-Git: https://salsa.debian.org/debian/manpages.git
 Homepage: https://www.kernel.org/doc/man-pages/
-Rules-Requires-Root: no
 
 Package: manpages
 Architecture: all

=== debian/watch ===
Version: 5

Source: https://www.kernel.org/pub/linux/docs/man-pages/
Matching-Pattern: man-pages@ANY_VERSION@@ARCHIVE_EXT@

## manpages 6.16

=== debian/changelog ===
manpages (6.16-1) unstable; urgency=medium

  * New upstream version 6.16
    - Refresh patches
    - Add new Build-Depends on awk and pcre2-utils

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 02 Nov 2025 21:55:41 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Uploaders: Marcos Fouces <marcos@debian.org>,
 Priority: standard
 Build-Depends: debhelper-compat (= 13),
+               gawk | awk,
                groff (>= 1.23.0),
                mandoc,
+               pcre2-utils,
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/manpages
 Vcs-Git: https://salsa.debian.org/debian/manpages.git

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #! /usr/bin/make -f
 export LC_ALL=C.UTF-8
+export MAKEFLAGS += -R
+
 %:
 	dh $@
 
@@ -14,6 +16,10 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs Changes
+
+override_dh_auto_test:
+# Disable test for now, it fails currently with this message:
+# man/man2/statx.2:249: warning: table wider than line length minus indentation
 
 override_dh_installman:
 	mv debian/tmp/usr/share/man/man5/proc_config.gz.5 debian/tmp/usr/share/man/man5/proc_config_gz.5

## manpages 6.17

=== debian/changelog ===
manpages (6.17-1) unstable; urgency=medium

  * New upstream version 6.17
    - Refresh patches
    - Add 0BSD to known licenses
  * Update Standards-Version to 4.7.3
  * Replace FSF postal address with their website
  * Update lintian overrides
  * Fix lintian warnings
    - missing-license-paragraph-in-dep5-copyright
    - space-in-std-shortname-in-dep5-copyright
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 11 Feb 2026 22:31:51 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                groff (>= 1.23.0),
                mandoc,
                pcre2-utils,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/manpages
 Vcs-Git: https://salsa.debian.org/debian/manpages.git
 Homepage: https://www.kernel.org/doc/man-pages/
